Bug Hunting Session
Bug 122748 - Wrong language ([None]) in Spelling dialog if no errors found, and switching languages doesn't work
Summary: Wrong language ([None]) in Spelling dialog if no errors found, and switching ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords:
Depends on:
Blocks: Spell-Checking-Dialog
  Show dependency treegraph
 
Reported: 2019-01-15 23:07 UTC by Aron Budea
Modified: 2019-02-06 08:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-01-15 23:07:40 UTC
- Enter a piece of text with correct spelling in the given language, and open Tools -> Spelling...
- Close the information dialog that says the spell check is complete.

=> Text language is set to [None].

=> Changing to any other language doesn't work, it stays as [None].

Observed using LO 6.2.0.2 & 5.1.0.3 / Windows 7.
In 5.0.0.5 Spelling dialog closes together with the information dialog.
Comment 1 Durgapriyanka 2019-01-16 16:28:37 UTC
Thank you for reporting the bug. I confirm the bug in

Version: 6.3.0.0.alpha0+
Build ID: 3c964980da07892a02d5ac721d80558c459532d0
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-12-12_02:07:45
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 2 Commit Notification 2019-01-21 13:39:42 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1b1999009962b9d79858139bd7573947f78e6669%5E%21

tdf#122748 Don't restore previous language selection

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-01-21 18:30:09 UTC
Hi Szymon Kłos,
Thanks for the quick fix. Do you think it should be backported to 6-2 and 6-1 ?
Comment 4 Commit Notification 2019-02-06 08:23:48 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/80198e1da81bd23ab698ff73d2d758f648acdcef%5E%21

tdf#122748 Don't restore previous language selection

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.